Mozilla Firefox ESR < 78.11

high Nessus プラグイン ID 150121
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのmacOSまたはMac OS XホストにインストールされているWebブラウザは、複数の脆弱性の影響を受けます。

説明

リモートのmacOSまたはMac OS XホストにインストールされているFirefox ESRのバージョンは、78.11より前のものです。したがって、mfsa2021-24のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- ローカルにインストールされた悪意のあるプログラムが、Firefoxが不適切に処理する「WMCOPYDATA」メッセージを送信し、領域外読み取りを引き起こす可能性があります。このバグの影響を受けるのは、Windows上のFirefoxのみです。その他のオペレーティングシステムは影響を受けません。(CVE-2021-29964)

- Mozilla開発者のGabriele Svelto氏、Anny Gakhokidze氏、Alexandru Michis氏、Christian Holler氏が、Firefox 88およびFirefox ESR 78.11に存在するメモリの安全性に関するバグを報告してくれました。これらのバグの一部にはメモリ破損の証拠が示されており、当社では、十分な労力をもってすればこれらの一部を悪用し、任意のコードを実行することが可能であると推測しています。(CVE-2021-29967)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Mozilla Firefox ESRをバージョン78.11以降にアップグレードしてください。

関連情報

https://www.mozilla.org/en-US/security/advisories/mfsa2021-24/

プラグインの詳細

深刻度: High

ID: 150121

ファイル名: macos_firefox_78_11_esr.nasl

バージョン: 1.5

タイプ: local

エージェント: macosx

公開日: 2021/6/1

更新日: 2021/9/10

依存関係: macosx_firefox_installed.nasl

リスク情報

CVSS スコアのソース: CVE-2021-29967

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:a:mozilla:firefox_esr:*:*:*:*:*:*:*:*

必要な KB アイテム: MacOSX/Firefox/Version

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/6/1

脆弱性公開日: 2021/6/1

参照情報

CVE: CVE-2021-29964, CVE-2021-29967

IAVA: 2021-A-0264-S